<?php
/**
 * Assets
 *
 * @category   Plugin
 * @package    WordPress
 * @subpackage Shinobi Reviews
 * @author     Shinobi Works <support@shinobiworks.com>
 * @license    https://www.gnu.org/licenses/gpl-3.0.html/ GPL v3 or later
 * @link       https://shinobiworks.com/
 * @since      1.0.0
 */

namespace Shinobi_Reviews\App;

class Assets {

	public function __construct() {
		add_action( 'wp_enqueue_scripts', [ $this, 'wp_enqueue_scripts' ] );
	}

	/**
	 * Include JS and CSS Files in Front End
	 */
	public function wp_enqueue_scripts() {
		$base_name         = 'shinobi-reviews-js/shinobi-reviews-js';
		$script_url        = SHINOBI_REVIEWS_ASSETS_URL . "$base_name.js";
		$script_path       = SHINOBI_REVIEWS_ASSETS_DIR . "$base_name.js";
		$script_asset_path = SHINOBI_REVIEWS_ASSETS_DIR . "$base_name.asset.php";
		$script_asset      = file_exists( $script_asset_path )
		? require $script_asset_path
		: [
			'dependencies' => [],
			'version'      => filemtime( $script_path ),
		];

		wp_register_script(
			SHINOBI_REVIEWS,
			$script_url,
			$script_asset['dependencies'],
			$script_asset['version'],
			true
		);

		wp_set_script_translations( SHINOBI_REVIEWS, 'shinobi-reviews', SHINOBI_REVIEWS_PLUGIN_DIR . 'languages' );

		wp_localize_script( SHINOBI_REVIEWS, 'ajaxurl', admin_url( 'admin-ajax.php' ) );
	}

}
